3 # Guess values for system-dependent variables and create Makefiles.
4 # Generated automatically using autoconf version 2.13
5 # Copyright (C) 1992, 93, 94, 95, 96 Free Software Foundation, Inc.
7 # This configure script is free software; the Free Software Foundation
8 # gives unlimited permission to copy, distribute and modify it.
12 ac_default_prefix
=/usr
/local
13 # Any additions from configure.in:
15 # Initialize some variables set by options.
16 # The variables have the same names as the options, with
17 # dashes changed to underlines.
19 cache_file
=.
/config.cache
28 program_transform_name
=s
,x
,x
,
36 bindir
='${exec_prefix}/bin'
37 sbindir
='${exec_prefix}/sbin'
38 libexecdir
='${exec_prefix}/libexec'
39 datadir
='${prefix}/share'
40 sysconfdir
='${prefix}/etc'
41 sharedstatedir
='${prefix}/com'
42 localstatedir
='${prefix}/var'
43 libdir
='${exec_prefix}/lib'
44 includedir
='${prefix}/include'
45 oldincludedir
='/usr/include'
46 infodir
='${prefix}/info'
47 mandir
='${prefix}/man'
49 # Initialize some other variables.
52 SHELL
=${CONFIG_SHELL-/bin/sh}
53 # Maximum number of lines to put in a shell here document.
60 # If the previous option needs an argument, assign it.
61 if test -n "$ac_prev"; then
62 eval "$ac_prev=\$ac_option"
68 -*=*) ac_optarg
=`echo "$ac_option" | sed 's/[-_a-zA-Z0-9]*=//'` ;;
72 # Accept the important Cygnus configure options, so we can diagnose typos.
76 -bindir |
--bindir |
--bindi |
--bind |
--bin |
--bi)
78 -bindir=* |
--bindir=* |
--bindi=* |
--bind=* |
--bin=* |
--bi=*)
79 bindir
="$ac_optarg" ;;
81 -build |
--build |
--buil |
--bui |
--bu)
83 -build=* |
--build=* |
--buil=* |
--bui=* |
--bu=*)
86 -cache-file |
--cache-file |
--cache-fil |
--cache-fi \
87 |
--cache-f |
--cache- |
--cache |
--cach |
--cac |
--ca |
--c)
89 -cache-file=* |
--cache-file=* |
--cache-fil=* |
--cache-fi=* \
90 |
--cache-f=* |
--cache-=* |
--cache=* |
--cach=* |
--cac=* |
--ca=* |
--c=*)
91 cache_file
="$ac_optarg" ;;
93 -datadir |
--datadir |
--datadi |
--datad |
--data |
--dat |
--da)
95 -datadir=* |
--datadir=* |
--datadi=* |
--datad=* |
--data=* |
--dat=* \
97 datadir
="$ac_optarg" ;;
99 -disable-* |
--disable-*)
100 ac_feature
=`echo $ac_option|sed -e 's/-*disable-//'`
101 # Reject names that are not valid shell variable names.
102 if test -n "`echo $ac_feature| sed 's/[-a-zA-Z0-9_]//g'`"; then
103 { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
105 ac_feature
=`echo $ac_feature| sed 's/-/_/g'`
106 eval "enable_${ac_feature}=no" ;;
108 -enable-* |
--enable-*)
109 ac_feature
=`echo $ac_option|sed -e 's/-*enable-//' -e 's/=.*//'`
110 # Reject names that are not valid shell variable names.
111 if test -n "`echo $ac_feature| sed 's/[-_a-zA-Z0-9]//g'`"; then
112 { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
114 ac_feature
=`echo $ac_feature| sed 's/-/_/g'`
119 eval "enable_${ac_feature}='$ac_optarg'" ;;
121 -exec-prefix |
--exec_prefix |
--exec-prefix |
--exec-prefi \
122 |
--exec-pref |
--exec-pre |
--exec-pr |
--exec-p |
--exec- \
123 |
--exec |
--exe |
--ex)
124 ac_prev
=exec_prefix
;;
125 -exec-prefix=* |
--exec_prefix=* |
--exec-prefix=* |
--exec-prefi=* \
126 |
--exec-pref=* |
--exec-pre=* |
--exec-pr=* |
--exec-p=* |
--exec-=* \
127 |
--exec=* |
--exe=* |
--ex=*)
128 exec_prefix
="$ac_optarg" ;;
130 -gas |
--gas |
--ga |
--g)
131 # Obsolete; use --with-gas.
134 -help |
--help |
--hel |
--he)
135 # Omit some internal or obsolete options to make the list less imposing.
136 # This message is too long to be a string in the A/UX 3.1 sh.
138 Usage: configure [options] [host]
139 Options: [defaults in brackets after descriptions]
141 --cache-file=FILE cache test results in FILE
142 --help print this message
143 --no-create do not create output files
144 --quiet, --silent do not print \`checking...' messages
145 --version print the version of autoconf that created configure
146 Directory and file names:
147 --prefix=PREFIX install architecture-independent files in PREFIX
149 --exec-prefix=EPREFIX install architecture-dependent files in EPREFIX
151 --bindir=DIR user executables in DIR [EPREFIX/bin]
152 --sbindir=DIR system admin executables in DIR [EPREFIX/sbin]
153 --libexecdir=DIR program executables in DIR [EPREFIX/libexec]
154 --datadir=DIR read-only architecture-independent data in DIR
156 --sysconfdir=DIR read-only single-machine data in DIR [PREFIX/etc]
157 --sharedstatedir=DIR modifiable architecture-independent data in DIR
159 --localstatedir=DIR modifiable single-machine data in DIR [PREFIX/var]
160 --libdir=DIR object code libraries in DIR [EPREFIX/lib]
161 --includedir=DIR C header files in DIR [PREFIX/include]
162 --oldincludedir=DIR C header files for non-gcc in DIR [/usr/include]
163 --infodir=DIR info documentation in DIR [PREFIX/info]
164 --mandir=DIR man documentation in DIR [PREFIX/man]
165 --srcdir=DIR find the sources in DIR [configure dir or ..]
166 --program-prefix=PREFIX prepend PREFIX to installed program names
167 --program-suffix=SUFFIX append SUFFIX to installed program names
168 --program-transform-name=PROGRAM
169 run sed PROGRAM on installed program names
173 --build=BUILD configure for building on BUILD [BUILD=HOST]
174 --host=HOST configure for HOST [guessed]
175 --target=TARGET configure for TARGET [TARGET=HOST]
176 Features and packages:
177 --disable-FEATURE do not include FEATURE (same as --enable-FEATURE=no)
178 --enable-FEATURE[=ARG] include FEATURE [ARG=yes]
179 --with-PACKAGE[=ARG] use PACKAGE [ARG=yes]
180 --without-PACKAGE do not use PACKAGE (same as --with-PACKAGE=no)
181 --x-includes=DIR X include files are in DIR
182 --x-libraries=DIR X library files are in DIR
184 if test -n "$ac_help"; then
185 echo "--enable and --with options recognized:$ac_help"
189 -host |
--host |
--hos |
--ho)
191 -host=* |
--host=* |
--hos=* |
--ho=*)
194 -includedir |
--includedir |
--includedi |
--included |
--include \
195 |
--includ |
--inclu |
--incl |
--inc)
196 ac_prev
=includedir
;;
197 -includedir=* |
--includedir=* |
--includedi=* |
--included=* |
--include=* \
198 |
--includ=* |
--inclu=* |
--incl=* |
--inc=*)
199 includedir
="$ac_optarg" ;;
201 -infodir |
--infodir |
--infodi |
--infod |
--info |
--inf)
203 -infodir=* |
--infodir=* |
--infodi=* |
--infod=* |
--info=* |
--inf=*)
204 infodir
="$ac_optarg" ;;
206 -libdir |
--libdir |
--libdi |
--libd)
208 -libdir=* |
--libdir=* |
--libdi=* |
--libd=*)
209 libdir
="$ac_optarg" ;;
211 -libexecdir |
--libexecdir |
--libexecdi |
--libexecd |
--libexec \
212 |
--libexe |
--libex |
--libe)
213 ac_prev
=libexecdir
;;
214 -libexecdir=* |
--libexecdir=* |
--libexecdi=* |
--libexecd=* |
--libexec=* \
215 |
--libexe=* |
--libex=* |
--libe=*)
216 libexecdir
="$ac_optarg" ;;
218 -localstatedir |
--localstatedir |
--localstatedi |
--localstated \
219 |
--localstate |
--localstat |
--localsta |
--localst \
220 |
--locals |
--local |
--loca |
--loc |
--lo)
221 ac_prev
=localstatedir
;;
222 -localstatedir=* |
--localstatedir=* |
--localstatedi=* |
--localstated=* \
223 |
--localstate=* |
--localstat=* |
--localsta=* |
--localst=* \
224 |
--locals=* |
--local=* |
--loca=* |
--loc=* |
--lo=*)
225 localstatedir
="$ac_optarg" ;;
227 -mandir |
--mandir |
--mandi |
--mand |
--man |
--ma |
--m)
229 -mandir=* |
--mandir=* |
--mandi=* |
--mand=* |
--man=* |
--ma=* |
--m=*)
230 mandir
="$ac_optarg" ;;
233 # Obsolete; use --without-fp.
236 -no-create |
--no-create |
--no-creat |
--no-crea |
--no-cre \
240 -no-recursion |
--no-recursion |
--no-recursio |
--no-recursi \
241 |
--no-recurs |
--no-recur |
--no-recu |
--no-rec |
--no-re |
--no-r)
244 -oldincludedir |
--oldincludedir |
--oldincludedi |
--oldincluded \
245 |
--oldinclude |
--oldinclud |
--oldinclu |
--oldincl |
--oldinc \
246 |
--oldin |
--oldi |
--old |
--ol |
--o)
247 ac_prev
=oldincludedir
;;
248 -oldincludedir=* |
--oldincludedir=* |
--oldincludedi=* |
--oldincluded=* \
249 |
--oldinclude=* |
--oldinclud=* |
--oldinclu=* |
--oldincl=* |
--oldinc=* \
250 |
--oldin=* |
--oldi=* |
--old=* |
--ol=* |
--o=*)
251 oldincludedir
="$ac_optarg" ;;
253 -prefix |
--prefix |
--prefi |
--pref |
--pre |
--pr |
--p)
255 -prefix=* |
--prefix=* |
--prefi=* |
--pref=* |
--pre=* |
--pr=* |
--p=*)
256 prefix
="$ac_optarg" ;;
258 -program-prefix |
--program-prefix |
--program-prefi |
--program-pref \
259 |
--program-pre |
--program-pr |
--program-p)
260 ac_prev
=program_prefix
;;
261 -program-prefix=* |
--program-prefix=* |
--program-prefi=* \
262 |
--program-pref=* |
--program-pre=* |
--program-pr=* |
--program-p=*)
263 program_prefix
="$ac_optarg" ;;
265 -program-suffix |
--program-suffix |
--program-suffi |
--program-suff \
266 |
--program-suf |
--program-su |
--program-s)
267 ac_prev
=program_suffix
;;
268 -program-suffix=* |
--program-suffix=* |
--program-suffi=* \
269 |
--program-suff=* |
--program-suf=* |
--program-su=* |
--program-s=*)
270 program_suffix
="$ac_optarg" ;;
272 -program-transform-name |
--program-transform-name \
273 |
--program-transform-nam |
--program-transform-na \
274 |
--program-transform-n |
--program-transform- \
275 |
--program-transform |
--program-transfor \
276 |
--program-transfo |
--program-transf \
277 |
--program-trans |
--program-tran \
278 |
--progr-tra |
--program-tr |
--program-t)
279 ac_prev
=program_transform_name
;;
280 -program-transform-name=* |
--program-transform-name=* \
281 |
--program-transform-nam=* |
--program-transform-na=* \
282 |
--program-transform-n=* |
--program-transform-=* \
283 |
--program-transform=* |
--program-transfor=* \
284 |
--program-transfo=* |
--program-transf=* \
285 |
--program-trans=* |
--program-tran=* \
286 |
--progr-tra=* |
--program-tr=* |
--program-t=*)
287 program_transform_name
="$ac_optarg" ;;
289 -q |
-quiet |
--quiet |
--quie |
--qui |
--qu |
--q \
290 |
-silent |
--silent |
--silen |
--sile |
--sil)
293 -sbindir |
--sbindir |
--sbindi |
--sbind |
--sbin |
--sbi |
--sb)
295 -sbindir=* |
--sbindir=* |
--sbindi=* |
--sbind=* |
--sbin=* \
297 sbindir
="$ac_optarg" ;;
299 -sharedstatedir |
--sharedstatedir |
--sharedstatedi \
300 |
--sharedstated |
--sharedstate |
--sharedstat |
--sharedsta \
301 |
--sharedst |
--shareds |
--shared |
--share |
--shar \
303 ac_prev
=sharedstatedir
;;
304 -sharedstatedir=* |
--sharedstatedir=* |
--sharedstatedi=* \
305 |
--sharedstated=* |
--sharedstate=* |
--sharedstat=* |
--sharedsta=* \
306 |
--sharedst=* |
--shareds=* |
--shared=* |
--share=* |
--shar=* \
308 sharedstatedir
="$ac_optarg" ;;
310 -site |
--site |
--sit)
312 -site=* |
--site=* |
--sit=*)
315 -srcdir |
--srcdir |
--srcdi |
--srcd |
--src |
--sr)
317 -srcdir=* |
--srcdir=* |
--srcdi=* |
--srcd=* |
--src=* |
--sr=*)
318 srcdir
="$ac_optarg" ;;
320 -sysconfdir |
--sysconfdir |
--sysconfdi |
--sysconfd |
--sysconf \
321 |
--syscon |
--sysco |
--sysc |
--sys |
--sy)
322 ac_prev
=sysconfdir
;;
323 -sysconfdir=* |
--sysconfdir=* |
--sysconfdi=* |
--sysconfd=* |
--sysconf=* \
324 |
--syscon=* |
--sysco=* |
--sysc=* |
--sys=* |
--sy=*)
325 sysconfdir
="$ac_optarg" ;;
327 -target |
--target |
--targe |
--targ |
--tar |
--ta |
--t)
329 -target=* |
--target=* |
--targe=* |
--targ=* |
--tar=* |
--ta=* |
--t=*)
330 target
="$ac_optarg" ;;
332 -v |
-verbose |
--verbose |
--verbos |
--verbo |
--verb)
335 -version |
--version |
--versio |
--versi |
--vers)
336 echo "configure generated by autoconf version 2.13"
340 ac_package
=`echo $ac_option|sed -e 's/-*with-//' -e 's/=.*//'`
341 # Reject names that are not valid shell variable names.
342 if test -n "`echo $ac_package| sed 's/[-_a-zA-Z0-9]//g'`"; then
343 { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
345 ac_package
=`echo $ac_package| sed 's/-/_/g'`
350 eval "with_${ac_package}='$ac_optarg'" ;;
352 -without-* |
--without-*)
353 ac_package
=`echo $ac_option|sed -e 's/-*without-//'`
354 # Reject names that are not valid shell variable names.
355 if test -n "`echo $ac_package| sed 's/[-a-zA-Z0-9_]//g'`"; then
356 { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
358 ac_package
=`echo $ac_package| sed 's/-/_/g'`
359 eval "with_${ac_package}=no" ;;
362 # Obsolete; use --with-x.
365 -x-includes |
--x-includes |
--x-include |
--x-includ |
--x-inclu \
366 |
--x-incl |
--x-inc |
--x-in |
--x-i)
367 ac_prev
=x_includes
;;
368 -x-includes=* |
--x-includes=* |
--x-include=* |
--x-includ=* |
--x-inclu=* \
369 |
--x-incl=* |
--x-inc=* |
--x-in=* |
--x-i=*)
370 x_includes
="$ac_optarg" ;;
372 -x-libraries |
--x-libraries |
--x-librarie |
--x-librari \
373 |
--x-librar |
--x-libra |
--x-libr |
--x-lib |
--x-li |
--x-l)
374 ac_prev
=x_libraries
;;
375 -x-libraries=* |
--x-libraries=* |
--x-librarie=* |
--x-librari=* \
376 |
--x-librar=* |
--x-libra=* |
--x-libr=* |
--x-lib=* |
--x-li=* |
--x-l=*)
377 x_libraries
="$ac_optarg" ;;
379 -*) { echo "configure: error: $ac_option: invalid option; use --help to show usage" 1>&2; exit 1; }
383 if test -n "`echo $ac_option| sed 's/[-a-z0-9.]//g'`"; then
384 echo "configure: warning: $ac_option: invalid host type" 1>&2
386 if test "x$nonopt" != xNONE
; then
387 { echo "configure: error: can only configure for one host and one target at a time" 1>&2; exit 1; }
395 if test -n "$ac_prev"; then
396 { echo "configure: error: missing argument to --`echo $ac_prev | sed 's/_/-/g'`" 1>&2; exit 1; }
399 trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
401 # File descriptor usage:
404 # 2 errors and warnings
405 # 3 some systems may open it to /dev/tty
406 # 4 used on the Kubota Titan
407 # 6 checking for... messages and results
408 # 5 compiler messages saved in config.log
409 if test "$silent" = yes; then
417 This file contains any messages produced by compilers while
418 running configure, to aid debugging if configure makes a mistake.
421 # Strip out --no-create and --no-recursion so they do not pile up.
422 # Also quote any args containing shell metacharacters.
427 -no-create |
--no-create |
--no-creat |
--no-crea |
--no-cre \
428 |
--no-cr |
--no-c) ;;
429 -no-recursion |
--no-recursion |
--no-recursio |
--no-recursi \
430 |
--no-recurs |
--no-recur |
--no-recu |
--no-rec |
--no-re |
--no-r) ;;
431 *" "*|
*" "*|
*[\
[\
]\~\
#\$\^\&\*\(\)\{\}\\\|\;\<\>\?]*)
432 ac_configure_args
="$ac_configure_args '$ac_arg'" ;;
433 *) ac_configure_args
="$ac_configure_args $ac_arg" ;;
438 # Only set these to C if already set. These must not be set unconditionally
439 # because not all systems understand e.g. LANG=C (notably SCO).
440 # Fixing LC_MESSAGES prevents Solaris sh from translating var values in `set'!
441 # Non-C LC_CTYPE values break the ctype check.
442 if test "${LANG+set}" = set; then LANG
=C
; export LANG
; fi
443 if test "${LC_ALL+set}" = set; then LC_ALL
=C
; export LC_ALL
; fi
444 if test "${LC_MESSAGES+set}" = set; then LC_MESSAGES
=C
; export LC_MESSAGES
; fi
445 if test "${LC_CTYPE+set}" = set; then LC_CTYPE
=C
; export LC_CTYPE
; fi
447 # confdefs.h avoids OS command line length limits that DEFS can exceed.
448 rm -rf conftest
* confdefs.h
449 # AIX cpp loses on an empty file, so make sure it contains at least a newline.
452 # A filename unique to this package, relative to the directory that
453 # configure is in, which we can look for to find out if srcdir is correct.
454 ac_unique_file
=getarg_.c
456 # Find the source files, if location was not specified.
457 if test -z "$srcdir"; then
458 ac_srcdir_defaulted
=yes
459 # Try the directory containing this script, then its parent.
461 ac_confdir
=`echo $ac_prog|sed 's%/[^/][^/]*$%%'`
462 test "x$ac_confdir" = "x$ac_prog" && ac_confdir
=.
464 if test ! -r $srcdir/$ac_unique_file; then
468 ac_srcdir_defaulted
=no
470 if test ! -r $srcdir/$ac_unique_file; then
471 if test "$ac_srcdir_defaulted" = yes; then
472 { echo "configure: error: can not find sources in $ac_confdir or .." 1>&2; exit 1; }
474 { echo "configure: error: can not find sources in $srcdir" 1>&2; exit 1; }
477 srcdir
=`echo "${srcdir}" | sed 's%\([^/]\)/*$%\1%'`
479 # Prefer explicitly selected file to automatically selected ones.
480 if test -z "$CONFIG_SITE"; then
481 if test "x$prefix" != xNONE
; then
482 CONFIG_SITE
="$prefix/share/config.site $prefix/etc/config.site"
484 CONFIG_SITE
="$ac_default_prefix/share/config.site $ac_default_prefix/etc/config.site"
487 for ac_site_file
in $CONFIG_SITE; do
488 if test -r "$ac_site_file"; then
489 echo "loading site script $ac_site_file"
494 if test -r "$cache_file"; then
495 echo "loading cache $cache_file"
498 echo "creating cache $cache_file"
503 # CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
504 ac_cpp
='$CPP $CPPFLAGS'
505 ac_compile
='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
506 ac_link
='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
507 cross_compiling
=$ac_cv_prog_cc_cross
511 if (echo "testing\c"; echo 1,2,3) |
grep c
>/dev
/null
; then
512 # Stardent Vistra SVR4 grep lacks -e, says ghazi@caip.rutgers.edu.
513 if (echo -n testing
; echo 1,2,3) |
sed s
/-n/xn
/ |
grep xn
>/dev
/null
; then
520 ac_n
= ac_c
='\c' ac_t
=
528 # For g77 we'll set CC to point at the built gcc, but this will get it into
530 # Extract the first word of "gcc", so it can be a program name with args.
531 set dummy gcc
; ac_word
=$2
532 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
533 echo "configure:534: checking for $ac_word" >&5
534 if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
535 echo $ac_n "(cached) $ac_c" 1>&6
537 if test -n "$CC"; then
538 ac_cv_prog_CC
="$CC" # Let the user override the test.
540 IFS
="${IFS= }"; ac_save_ifs
="$IFS"; IFS
=":"
542 for ac_dir
in $ac_dummy; do
543 test -z "$ac_dir" && ac_dir
=.
544 if test -f $ac_dir/$ac_word; then
553 if test -n "$CC"; then
554 echo "$ac_t""$CC" 1>&6
556 echo "$ac_t""no" 1>&6
559 if test -z "$CC"; then
560 # Extract the first word of "cc", so it can be a program name with args.
561 set dummy cc
; ac_word
=$2
562 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
563 echo "configure:564: checking for $ac_word" >&5
564 if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
565 echo $ac_n "(cached) $ac_c" 1>&6
567 if test -n "$CC"; then
568 ac_cv_prog_CC
="$CC" # Let the user override the test.
570 IFS
="${IFS= }"; ac_save_ifs
="$IFS"; IFS
=":"
573 for ac_dir
in $ac_dummy; do
574 test -z "$ac_dir" && ac_dir
=.
575 if test -f $ac_dir/$ac_word; then
576 if test "$ac_dir/$ac_word" = "/usr/ucb/cc"; then
585 if test $ac_prog_rejected = yes; then
586 # We found a bogon in the path, so make sure we never use it.
587 set dummy
$ac_cv_prog_CC
589 if test $# -gt 0; then
590 # We chose a different compiler from the bogus one.
591 # However, it has the same basename, so the bogon will be chosen
592 # first if we set CC to just the basename; use the full file name.
594 set dummy
"$ac_dir/$ac_word" "$@"
602 if test -n "$CC"; then
603 echo "$ac_t""$CC" 1>&6
605 echo "$ac_t""no" 1>&6
608 if test -z "$CC"; then
611 # Extract the first word of "cl", so it can be a program name with args.
612 set dummy cl
; ac_word
=$2
613 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
614 echo "configure:615: checking for $ac_word" >&5
615 if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
616 echo $ac_n "(cached) $ac_c" 1>&6
618 if test -n "$CC"; then
619 ac_cv_prog_CC
="$CC" # Let the user override the test.
621 IFS
="${IFS= }"; ac_save_ifs
="$IFS"; IFS
=":"
623 for ac_dir
in $ac_dummy; do
624 test -z "$ac_dir" && ac_dir
=.
625 if test -f $ac_dir/$ac_word; then
634 if test -n "$CC"; then
635 echo "$ac_t""$CC" 1>&6
637 echo "$ac_t""no" 1>&6
642 test -z "$CC" && { echo "configure: error: no acceptable cc found in \$PATH" 1>&2; exit 1; }
646 echo $ac_n "checking whether we are using GNU C""... $ac_c" 1>&6
647 echo "configure:648: checking whether we are using GNU C" >&5
648 if eval "test \"`echo '$''{'ac_cv_prog_gcc'+set}'`\" = set"; then
649 echo $ac_n "(cached) $ac_c" 1>&6
651 cat > conftest.c
<<EOF
656 if { ac_try
='${CC-cc} -E conftest.c'; { (eval echo configure
:657: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }; } |
egrep yes >/dev
/null
2>&1; then
663 echo "$ac_t""$ac_cv_prog_gcc" 1>&6
665 if test $ac_cv_prog_gcc = yes; then
671 ac_test_CFLAGS
="${CFLAGS+set}"
672 ac_save_CFLAGS
="$CFLAGS"
674 echo $ac_n "checking whether ${CC-cc} accepts -g""... $ac_c" 1>&6
675 echo "configure:676: checking whether ${CC-cc} accepts -g" >&5
676 if eval "test \"`echo '$''{'ac_cv_prog_cc_g'+set}'`\" = set"; then
677 echo $ac_n "(cached) $ac_c" 1>&6
679 echo 'void f(){}' > conftest.c
680 if test -z "`${CC-cc} -g -c conftest.c 2>&1`"; then
689 echo "$ac_t""$ac_cv_prog_cc_g" 1>&6
690 if test "$ac_test_CFLAGS" = set; then
691 CFLAGS
="$ac_save_CFLAGS"
692 elif test $ac_cv_prog_cc_g = yes; then
693 if test "$GCC" = yes; then
699 if test "$GCC" = yes; then
707 LIBTOOL
='$(SHELL) ../libtool'
712 if test "$RANLIB"; then :
715 # Extract the first word of "ranlib", so it can be a program name with args.
716 set dummy ranlib
; ac_word
=$2
717 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
718 echo "configure:719: checking for $ac_word" >&5
719 if eval "test \"`echo '$''{'ac_cv_prog_RANLIB'+set}'`\" = set"; then
720 echo $ac_n "(cached) $ac_c" 1>&6
722 if test -n "$RANLIB"; then
723 ac_cv_prog_RANLIB
="$RANLIB" # Let the user override the test.
725 IFS
="${IFS= }"; ac_save_ifs
="$IFS"; IFS
=":"
727 for ac_dir
in $ac_dummy; do
728 test -z "$ac_dir" && ac_dir
=.
729 if test -f $ac_dir/$ac_word; then
730 ac_cv_prog_RANLIB
="ranlib"
735 test -z "$ac_cv_prog_RANLIB" && ac_cv_prog_RANLIB
=":"
738 RANLIB
="$ac_cv_prog_RANLIB"
739 if test -n "$RANLIB"; then
740 echo "$ac_t""$RANLIB" 1>&6
742 echo "$ac_t""no" 1>&6
746 echo $ac_n "checking whether ${MAKE-make} sets \${MAKE}""... $ac_c" 1>&6
747 echo "configure:748: checking whether ${MAKE-make} sets \${MAKE}" >&5
748 set dummy
${MAKE-make}; ac_make
=`echo "$2" | sed 'y%./+-%__p_%'`
749 if eval "test \"`echo '$''{'ac_cv_prog_make_${ac_make}_set'+set}'`\" = set"; then
750 echo $ac_n "(cached) $ac_c" 1>&6
752 cat > conftestmake
<<\EOF
754 @
echo 'ac_maketemp="${MAKE}"'
756 # GNU make sometimes prints "make[1]: Entering...", which would confuse us.
757 eval `${MAKE-make} -f conftestmake 2>/dev/null | grep temp=`
758 if test -n "$ac_maketemp"; then
759 eval ac_cv_prog_make_
${ac_make}_set
=yes
761 eval ac_cv_prog_make_
${ac_make}_set
=no
765 if eval "test \"`echo '$ac_cv_prog_make_'${ac_make}_set`\" = yes"; then
766 echo "$ac_t""yes" 1>&6
769 echo "$ac_t""no" 1>&6
770 SET_MAKE
="MAKE=${MAKE-make}"
775 # Sanity check for the cross-compilation case:
776 echo $ac_n "checking how to run the C preprocessor""... $ac_c" 1>&6
777 echo "configure:778: checking how to run the C preprocessor" >&5
778 # On Suns, sometimes $CPP names a directory.
779 if test -n "$CPP" && test -d "$CPP"; then
782 if test -z "$CPP"; then
783 if eval "test \"`echo '$''{'ac_cv_prog_CPP'+set}'`\" = set"; then
784 echo $ac_n "(cached) $ac_c" 1>&6
786 # This must be in double quotes, not single quotes, because CPP may get
787 # substituted into the Makefile and "${CC-cc}" will confuse make.
789 # On the NeXT, cc -E runs the code through the compiler's parser,
790 # not just through cpp.
791 cat > conftest.
$ac_ext <<EOF
792 #line 793 "configure"
793 #include "confdefs.h"
797 ac_try
="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
798 { (eval echo configure
:799: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
799 ac_err
=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
800 if test -z "$ac_err"; then
804 echo "configure: failed program was:" >&5
805 cat conftest.
$ac_ext >&5
807 CPP
="${CC-cc} -E -traditional-cpp"
808 cat > conftest.
$ac_ext <<EOF
809 #line 810 "configure"
810 #include "confdefs.h"
814 ac_try
="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
815 { (eval echo configure
:816: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
816 ac_err
=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
817 if test -z "$ac_err"; then
821 echo "configure: failed program was:" >&5
822 cat conftest.
$ac_ext >&5
824 CPP
="${CC-cc} -nologo -E"
825 cat > conftest.
$ac_ext <<EOF
826 #line 827 "configure"
827 #include "confdefs.h"
831 ac_try
="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
832 { (eval echo configure
:833: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
833 ac_err
=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
834 if test -z "$ac_err"; then
838 echo "configure: failed program was:" >&5
839 cat conftest.
$ac_ext >&5
848 ac_cv_prog_CPP
="$CPP"
850 CPP
="$ac_cv_prog_CPP"
852 ac_cv_prog_CPP
="$CPP"
854 echo "$ac_t""$CPP" 1>&6
856 ac_safe
=`echo "stdio.h" | sed 'y%./+-%__p_%'`
857 echo $ac_n "checking for stdio.h""... $ac_c" 1>&6
858 echo "configure:859: checking for stdio.h" >&5
859 if eval "test \"`echo '$''{'ac_cv_header_$ac_safe'+set}'`\" = set"; then
860 echo $ac_n "(cached) $ac_c" 1>&6
862 cat > conftest.
$ac_ext <<EOF
863 #line 864 "configure"
864 #include "confdefs.h"
867 ac_try
="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
868 { (eval echo configure
:869: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
869 ac_err
=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
870 if test -z "$ac_err"; then
872 eval "ac_cv_header_$ac_safe=yes"
875 echo "configure: failed program was:" >&5
876 cat conftest.
$ac_ext >&5
878 eval "ac_cv_header_$ac_safe=no"
882 if eval "test \"`echo '$ac_cv_header_'$ac_safe`\" = yes"; then
883 echo "$ac_t""yes" 1>&6
886 echo "$ac_t""no" 1>&6
887 { echo "configure: error: Can't find stdio.h.
888 You must have a usable C system for the target already installed, at least
889 including headers and, preferably, the library, before you can configure
890 the G77 runtime system. If necessary, install gcc now with \`LANGUAGES=c',
891 then the target library, then build with \`LANGUAGES=f77'." 1>&2; exit 1; }
895 echo $ac_n "checking for ANSI C header files""... $ac_c" 1>&6
896 echo "configure:897: checking for ANSI C header files" >&5
897 if eval "test \"`echo '$''{'ac_cv_header_stdc'+set}'`\" = set"; then
898 echo $ac_n "(cached) $ac_c" 1>&6
900 cat > conftest.
$ac_ext <<EOF
901 #line 902 "configure"
902 #include "confdefs.h"
908 ac_try
="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
909 { (eval echo configure
:910: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
910 ac_err
=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
911 if test -z "$ac_err"; then
913 ac_cv_header_stdc
=yes
916 echo "configure: failed program was:" >&5
917 cat conftest.
$ac_ext >&5
923 if test $ac_cv_header_stdc = yes; then
924 # SunOS 4.x string.h does not declare mem*, contrary to ANSI.
925 cat > conftest.
$ac_ext <<EOF
926 #line 927 "configure"
927 #include "confdefs.h"
930 if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
931 egrep "memchr" >/dev
/null
2>&1; then
941 if test $ac_cv_header_stdc = yes; then
942 # ISC 2.0.2 stdlib.h does not declare free, contrary to ANSI.
943 cat > conftest.
$ac_ext <<EOF
944 #line 945 "configure"
945 #include "confdefs.h"
948 if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
949 egrep "free" >/dev
/null
2>&1; then
959 if test $ac_cv_header_stdc = yes; then
960 # /bin/cc in Irix-4.0.5 gets non-ANSI ctype macros unless using -ansi.
961 if test "$cross_compiling" = yes; then
964 cat > conftest.
$ac_ext <<EOF
965 #line 966 "configure"
966 #include "confdefs.h"
968 #define ISLOWER(c) ('a' <= (c) && (c) <= 'z')
969 #define TOUPPER(c) (ISLOWER(c) ? 'A' + ((c) - 'a') : (c))
970 #define XOR(e, f) (((e) && !(f)) || (!(e) && (f)))
971 int main () { int i; for (i = 0; i < 256; i++)
972 if (XOR (islower (i), ISLOWER (i)) || toupper (i) != TOUPPER (i)) exit(2);
976 if { (eval echo configure
:977: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest
${ac_exeext} && (.
/conftest
; exit) 2>/dev
/null
980 echo "configure: failed program was:" >&5
981 cat conftest.
$ac_ext >&5
991 echo "$ac_t""$ac_cv_header_stdc" 1>&6
992 if test $ac_cv_header_stdc = yes; then
993 cat >> confdefs.h
<<\EOF
994 #define STDC_HEADERS 1
999 echo $ac_n "checking for posix""... $ac_c" 1>&6
1000 echo "configure:1001: checking for posix" >&5
1001 if eval "test \"`echo '$''{'g77_cv_header_posix'+set}'`\" = set"; then
1002 echo $ac_n "(cached) $ac_c" 1>&6
1004 cat > conftest.
$ac_ext <<EOF
1005 #line 1006 "configure"
1006 #include "confdefs.h"
1007 #include <sys/types.h>
1009 #ifdef _POSIX_VERSION
1014 if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
1015 egrep "yes" >/dev
/null
2>&1; then
1017 g77_cv_header_posix
=yes
1020 g77_cv_header_posix
=no
1026 echo "$ac_t""$g77_cv_header_posix" 1>&6
1028 # We can rely on the GNU library being posix-ish. I guess checking the
1029 # header isn't actually like checking the functions, though...
1030 echo $ac_n "checking for GNU library""... $ac_c" 1>&6
1031 echo "configure:1032: checking for GNU library" >&5
1032 if eval "test \"`echo '$''{'g77_cv_lib_gnu'+set}'`\" = set"; then
1033 echo $ac_n "(cached) $ac_c" 1>&6
1035 cat > conftest.
$ac_ext <<EOF
1036 #line 1037 "configure"
1037 #include "confdefs.h"
1039 #ifdef __GNU_LIBRARY__
1044 if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
1045 egrep "yes" >/dev
/null
2>&1; then
1056 echo "$ac_t""$g77_cv_lib_gnu" 1>&6
1058 echo $ac_n "checking return type of signal handlers""... $ac_c" 1>&6
1059 echo "configure:1060: checking return type of signal handlers" >&5
1060 if eval "test \"`echo '$''{'ac_cv_type_signal'+set}'`\" = set"; then
1061 echo $ac_n "(cached) $ac_c" 1>&6
1063 cat > conftest.
$ac_ext <<EOF
1064 #line 1065 "configure"
1065 #include "confdefs.h"
1066 #include <sys/types.h>
1072 extern "C" void (*signal (int, void (*)(int)))(int);
1074 void (*signal ()) ();
1081 if { (eval echo configure
:1082: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
1083 ac_cv_type_signal
=void
1085 echo "configure: failed program was:" >&5
1086 cat conftest.
$ac_ext >&5
1088 ac_cv_type_signal
=int
1093 echo "$ac_t""$ac_cv_type_signal" 1>&6
1094 cat >> confdefs.h
<<EOF
1095 #define RETSIGTYPE $ac_cv_type_signal
1099 # we'll get atexit by default
1100 if test $ac_cv_header_stdc != yes; then
1101 echo $ac_n "checking for atexit""... $ac_c" 1>&6
1102 echo "configure:1103: checking for atexit" >&5
1103 if eval "test \"`echo '$''{'ac_cv_func_atexit'+set}'`\" = set"; then
1104 echo $ac_n "(cached) $ac_c" 1>&6
1106 cat > conftest.
$ac_ext <<EOF
1107 #line 1108 "configure"
1108 #include "confdefs.h"
1109 /* System header to define __stub macros and hopefully few prototypes,
1110 which can conflict with char atexit(); below. */
1112 /* Override any gcc2 internal prototype to avoid an error. */
1113 /* We use char because int might match the return type of a gcc2
1114 builtin and then its argument prototype would still apply. */
1119 /* The GNU C library defines this for functions which it implements
1120 to always fail with ENOSYS. Some functions are actually named
1121 something starting with __ and the normal name is an alias. */
1122 #if defined (__stub_atexit) || defined (__stub___atexit)
1130 if { (eval echo configure
:1131: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest
${ac_exeext}; then
1132 eval "ac_cv_func_atexit=yes"
1134 echo "configure: failed program was:" >&5
1135 cat conftest.
$ac_ext >&5
1137 eval "ac_cv_func_atexit=no"
1142 if eval "test \"`echo '$ac_cv_func_'atexit`\" = yes"; then
1143 echo "$ac_t""yes" 1>&6
1144 cat >> confdefs.h
<<\EOF
1145 #define onexit atexit
1149 echo "$ac_t""no" 1>&6
1150 cat >> confdefs.h
<<\EOF
1154 echo $ac_n "checking for onexit""... $ac_c" 1>&6
1155 echo "configure:1156: checking for onexit" >&5
1156 if eval "test \"`echo '$''{'ac_cv_func_onexit'+set}'`\" = set"; then
1157 echo $ac_n "(cached) $ac_c" 1>&6
1159 cat > conftest.
$ac_ext <<EOF
1160 #line 1161 "configure"
1161 #include "confdefs.h"
1162 /* System header to define __stub macros and hopefully few prototypes,
1163 which can conflict with char onexit(); below. */
1165 /* Override any gcc2 internal prototype to avoid an error. */
1166 /* We use char because int might match the return type of a gcc2
1167 builtin and then its argument prototype would still apply. */
1172 /* The GNU C library defines this for functions which it implements
1173 to always fail with ENOSYS. Some functions are actually named
1174 something starting with __ and the normal name is an alias. */
1175 #if defined (__stub_onexit) || defined (__stub___onexit)
1183 if { (eval echo configure
:1184: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest
${ac_exeext}; then
1185 eval "ac_cv_func_onexit=yes"
1187 echo "configure: failed program was:" >&5
1188 cat conftest.
$ac_ext >&5
1190 eval "ac_cv_func_onexit=no"
1195 if eval "test \"`echo '$ac_cv_func_'onexit`\" = yes"; then
1196 echo "$ac_t""yes" 1>&6
1199 echo "$ac_t""no" 1>&6
1200 echo $ac_n "checking for on_exit""... $ac_c" 1>&6
1201 echo "configure:1202: checking for on_exit" >&5
1202 if eval "test \"`echo '$''{'ac_cv_func_on_exit'+set}'`\" = set"; then
1203 echo $ac_n "(cached) $ac_c" 1>&6
1205 cat > conftest.
$ac_ext <<EOF
1206 #line 1207 "configure"
1207 #include "confdefs.h"
1208 /* System header to define __stub macros and hopefully few prototypes,
1209 which can conflict with char on_exit(); below. */
1211 /* Override any gcc2 internal prototype to avoid an error. */
1212 /* We use char because int might match the return type of a gcc2
1213 builtin and then its argument prototype would still apply. */
1218 /* The GNU C library defines this for functions which it implements
1219 to always fail with ENOSYS. Some functions are actually named
1220 something starting with __ and the normal name is an alias. */
1221 #if defined (__stub_on_exit) || defined (__stub___on_exit)
1229 if { (eval echo configure
:1230: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest
${ac_exeext}; then
1231 eval "ac_cv_func_on_exit=yes"
1233 echo "configure: failed program was:" >&5
1234 cat conftest.
$ac_ext >&5
1236 eval "ac_cv_func_on_exit=no"
1241 if eval "test \"`echo '$ac_cv_func_'on_exit`\" = yes"; then
1242 echo "$ac_t""yes" 1>&6
1243 cat >> confdefs.h
<<\EOF
1244 #define onexit on_exit
1248 echo "$ac_t""no" 1>&6
1258 echo $ac_n "checking for drem in -lm""... $ac_c" 1>&6
1259 echo "configure:1260: checking for drem in -lm" >&5
1260 ac_lib_var
=`echo m'_'drem | sed 'y%./+-%__p_%'`
1261 if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
1262 echo $ac_n "(cached) $ac_c" 1>&6
1264 ac_save_LIBS
="$LIBS"
1266 cat > conftest.
$ac_ext <<EOF
1267 #line 1268 "configure"
1268 #include "confdefs.h"
1269 /* Override any gcc2 internal prototype to avoid an error. */
1270 /* We use char because int might match the return type of a gcc2
1271 builtin and then its argument prototype would still apply. */
1278 if { (eval echo configure
:1279: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest
${ac_exeext}; then
1280 eval "ac_cv_lib_$ac_lib_var=yes"
1282 echo "configure: failed program was:" >&5
1283 cat conftest.
$ac_ext >&5
1285 eval "ac_cv_lib_$ac_lib_var=no"
1288 LIBS
="$ac_save_LIBS"
1291 if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
1292 echo "$ac_t""yes" 1>&6
1293 cat >> confdefs.h
<<\EOF
1298 echo "$ac_t""no" 1>&6
1302 cat >> confdefs.h
<<\EOF
1303 #define Skip_f2c_Undefs 1
1306 cat >> confdefs.h
<<\EOF
1307 #define IEEE_COMPLEX_DIVIDE 1
1312 cat > confcache
<<\EOF
1313 # This file is a shell script that caches the results of configure
1314 # tests run on this system so they can be shared between configure
1315 # scripts and configure runs. It is not useful on other systems.
1316 # If it contains results you don't want to keep, you may remove or edit it.
1318 # By default, configure uses ./config.cache as the cache file,
1319 # creating it if it does not exist already. You can give configure
1320 # the --cache-file=FILE option to use a different cache file; that is
1321 # what configure does when it calls configure scripts in
1322 # subdirectories, so they share the cache.
1323 # Giving --cache-file=/dev/null disables caching, for debugging configure.
1324 # config.status only pays attention to the cache file if you give it the
1325 # --recheck option to rerun configure.
1328 # The following way of writing the cache mishandles newlines in values,
1329 # but we know of no workaround that is simple, portable, and efficient.
1330 # So, don't put newlines in cache variables' values.
1331 # Ultrix sh set writes to stderr and can't be redirected directly,
1332 # and sets the high bit in the cache file unless we assign to the vars.
1334 case `(ac_space=' '; set | grep ac_space) 2>&1` in
1336 # `set' does not quote correctly, so add quotes (double-quote substitution
1337 # turns \\\\ into \\, and sed turns \\ into \).
1339 -e "s/'/'\\\\''/g" \
1340 -e "s/^\\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\\)=\\(.*\\)/\\1=\${\\1='\\2'}/p"
1343 # `set' quotes correctly as required by POSIX, so do not add quotes.
1344 sed -n -e 's/^\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\)=\(.*\)/\1=${\1=\2}/p'
1347 if cmp -s $cache_file confcache
; then
1350 if test -w $cache_file; then
1351 echo "updating cache $cache_file"
1352 cat confcache
> $cache_file
1354 echo "not updating unwritable cache $cache_file"
1359 trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
1361 test "x$prefix" = xNONE
&& prefix
=$ac_default_prefix
1362 # Let make expand exec_prefix.
1363 test "x$exec_prefix" = xNONE
&& exec_prefix
='${prefix}'
1365 # Any assignment to VPATH causes Sun make to only execute
1366 # the first set of double-colon rules, so remove it if not needed.
1367 # If there is a colon in the path, we need to keep it.
1368 if test "x$srcdir" = x.
; then
1369 ac_vpsub
='/^[ ]*VPATH[ ]*=[^:]*$/d'
1372 trap 'rm -f $CONFIG_STATUS conftest*; exit 1' 1 2 15
1374 # Transform confdefs.h into DEFS.
1375 # Protect against shell expansion while executing Makefile rules.
1376 # Protect against Makefile macro expansion.
1377 cat > conftest.defs
<<\EOF
1378 s
%#define \([A-Za-z_][A-Za-z0-9_]*\) *\(.*\)%-D\1=\2%g
1379 s
%[ `~#$^&*(){}\\|;'"<>?]%\\&%g
1384 DEFS=`sed -f conftest.defs confdefs.h |
tr '\012' ' '`
1388 # Without the "./", some shells look in PATH for config.status.
1389 : ${CONFIG_STATUS=./config.status}
1391 echo creating $CONFIG_STATUS
1392 rm -f $CONFIG_STATUS
1393 cat > $CONFIG_STATUS <<EOF
1395 # Generated automatically by configure.
1396 # Run this file to recreate the current configuration.
1397 # This directory was configured as follows,
1398 # on host `(hostname || uname
-n) 2>/dev
/null |
sed 1q
`:
1400 # $0 $ac_configure_args
1402 # Compiler output produced by configure, useful for debugging
1403 # configure, is in ./config.log if it exists.
1405 ac_cs_usage="Usage: $CONFIG_STATUS [--recheck] [--version] [--help]"
1408 case "\$ac_option" in
1409 -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
1410 echo "running \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion"
1411 exec \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion ;;
1412 -version | --version | --versio | --versi | --vers | --ver | --ve | --v)
1413 echo "$CONFIG_STATUS generated by autoconf version 2.13"
1415 -help | --help | --hel | --he | --h)
1416 echo "\$ac_cs_usage"; exit 0 ;;
1417 *) echo "\$ac_cs_usage"; exit 1 ;;
1421 ac_given_srcdir=$srcdir
1423 trap 'rm -fr `echo "Makefile" |
sed "s/:[^ ]*//g"` conftest*; exit 1' 1 2 15
1425 cat >> $CONFIG_STATUS <<EOF
1427 # Protect against being on the right side of a sed subst in config.status.
1428 sed 's/%@/@@/; s/@%/@@/; s/%g\$/@g/; /@g\$/s/[\\\\&%]/\\\\&/g;
1429 s/@@/%@/; s/@@/@%/; s/@g\$/%g/' > conftest.subs <<\\CEOF
1433 s%@CFLAGS@%$CFLAGS%g
1434 s%@CPPFLAGS@%$CPPFLAGS%g
1435 s%@CXXFLAGS@%$CXXFLAGS%g
1436 s%@FFLAGS@%$FFLAGS%g
1438 s%@LDFLAGS@%$LDFLAGS%g
1440 s%@exec_prefix@%$exec_prefix%g
1441 s%@prefix@%$prefix%g
1442 s%@program_transform_name@%$program_transform_name%g
1443 s%@bindir@%$bindir%g
1444 s%@sbindir@%$sbindir%g
1445 s%@libexecdir@%$libexecdir%g
1446 s%@datadir@%$datadir%g
1447 s%@sysconfdir@%$sysconfdir%g
1448 s%@sharedstatedir@%$sharedstatedir%g
1449 s%@localstatedir@%$localstatedir%g
1450 s%@libdir@%$libdir%g
1451 s%@includedir@%$includedir%g
1452 s%@oldincludedir@%$oldincludedir%g
1453 s%@infodir@%$infodir%g
1454 s%@mandir@%$mandir%g
1456 s%@LIBTOOL@%$LIBTOOL%g
1458 s%@RANLIB@%$RANLIB%g
1459 s%@SET_MAKE@%$SET_MAKE%g
1465 cat >> $CONFIG_STATUS <<\EOF
1467 # Split the substitutions into bite-sized pieces for seds with
1468 # small command number limits, like on Digital OSF/1 and HP-UX.
1469 ac_max_sed_cmds=90 # Maximum number of lines to put in a sed script.
1470 ac_file=1 # Number of current file.
1471 ac_beg=1 # First line for current file.
1472 ac_end=$ac_max_sed_cmds # Line after last line for current file.
1475 while $ac_more_lines; do
1476 if test $ac_beg -gt 1; then
1477 sed "1,${ac_beg}d; ${ac_end}q" conftest.subs > conftest.s$ac_file
1479 sed "${ac_end}q" conftest.subs > conftest.s$ac_file
1481 if test ! -s conftest.s$ac_file; then
1483 rm -f conftest.s$ac_file
1485 if test -z "$ac_sed_cmds"; then
1486 ac_sed_cmds="sed -f conftest.s$ac_file"
1488 ac_sed_cmds="$ac_sed_cmds | sed -f conftest.s$ac_file"
1490 ac_file=`expr $ac_file + 1`
1492 ac_end=`expr $ac_end + $ac_max_sed_cmds`
1495 if test -z "$ac_sed_cmds"; then
1500 cat >> $CONFIG_STATUS <<EOF
1502 CONFIG_FILES=\${CONFIG_FILES-"Makefile"}
1504 cat >> $CONFIG_STATUS <<\EOF
1505 for ac_file in .. $CONFIG_FILES; do if test "x$ac_file" != x..; then
1506 # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
1508 *:*) ac_file_in=`echo "$ac_file"|
sed 's%[^:]*:%%'`
1509 ac_file=`echo "$ac_file"|
sed 's%:.*%%'` ;;
1510 *) ac_file_in="${ac_file}.in" ;;
1513 # Adjust a relative srcdir, top_srcdir, and INSTALL for subdirectories.
1515 # Remove last slash and all that follows it. Not all systems have dirname.
1516 ac_dir=`echo $ac_file|
sed 's%/[^/][^/]*$%%'`
1517 if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
1518 # The file is in a subdirectory.
1519 test ! -d "$ac_dir" && mkdir "$ac_dir"
1520 ac_dir_suffix="/`echo $ac_dir|
sed 's%^\./%%'`"
1521 # A "../" for each directory in $ac_dir_suffix.
1522 ac_dots=`echo $ac_dir_suffix|
sed 's%/[^/]*%../%g'`
1524 ac_dir_suffix= ac_dots=
1527 case "$ac_given_srcdir" in
1529 if test -z "$ac_dots"; then top_srcdir=.
1530 else top_srcdir=`echo $ac_dots|
sed 's%/$%%'`; fi ;;
1531 /*) srcdir="$ac_given_srcdir$ac_dir_suffix"; top_srcdir="$ac_given_srcdir" ;;
1533 srcdir="$ac_dots$ac_given_srcdir$ac_dir_suffix"
1534 top_srcdir="$ac_dots$ac_given_srcdir" ;;
1538 echo creating "$ac_file"
1540 configure_input="Generated automatically from `echo $ac_file_in|
sed 's%.*/%%'` by configure."
1542 *Makefile*) ac_comsub="1i\\
1543 # $configure_input" ;;
1547 ac_file_inputs=`echo $ac_file_in|
sed -e "s%^%$ac_given_srcdir/%" -e "s%:% $ac_given_srcdir/%g"`
1549 s%@configure_input@%$configure_input%g
1550 s%@srcdir@%$srcdir%g
1551 s%@top_srcdir@%$top_srcdir%g
1552 " $ac_file_inputs | (eval "$ac_sed_cmds") > $ac_file
1557 cat >> $CONFIG_STATUS <<EOF
1560 cat >> $CONFIG_STATUS <<\EOF
1564 chmod +x $CONFIG_STATUS
1565 rm -fr confdefs* $ac_clean_files
1566 test "$no_create" = yes || ${CONFIG_SHELL-/bin/sh} $CONFIG_STATUS || exit 1